> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.finput.com.au/api/endpoints/organisations/patch-organisation/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.finput.com.au/_mcp/server. # Set your organisation's BID status PATCH https://api.finput.com.au/api/v1/organisations/{id} Content-Type: application/json An organisation admin may set `is_bid_broker` (Best Interests Duty) on their own organisation. The body must carry that field and nothing else. Reference: https://docs.finput.com.au/api/endpoints/organisations/patch-organisation ## Authentication - `Authorization` header (bearer token, required) — JWT access token obtained from `POST /api/v1/auth/login`, or a `finput_sk_...` API token ## Request ### Path parameters - `id` (integer, required) ### Body (application/json) This endpoint expects an object. - `is_bid_broker` (boolean, required) ## Response ### 200 Organisation updated - `message` (string, optional) - `data` (Organisation, optional) ## Errors ### 403 Forbidden Error Not an admin of this organisation, or a field other than `is_bid_broker` in the body. - `error` (string, optional) - `errors` (map from string to list of string, optional) ## Types ### Organisation - `id` (integer, optional) - `name` (string, optional) - `type` (enum, optional) — Organization type: - `f` - Financier - `b` - Broker - `u` - User - Allowed values: `f`, `b`, `u` - `abn` (string, optional, nullable) - `is_bid_broker` (boolean, optional) - `created_at` (datetime, optional) - `updated_at` (datetime, optional) ## Examples **Request** ```json { "is_bid_broker": true } ``` **Response** ```json { "message": "string", "data": { "id": 1, "name": "string", "type": "f", "abn": "string", "is_bid_broker": true, "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z" } } ``` **SDK Code** ```python import requests url = "https://api.finput.com.au/api/v1/organisations/1" payload = { "is_bid_broker": True } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.finput.com.au/api/v1/organisations/1'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"is_bid_broker":true}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.finput.com.au/api/v1/organisations/1" payload := strings.NewReader("{\n \"is_bid_broker\": true\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.finput.com.au/api/v1/organisations/1") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"is_bid_broker\": true\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.finput.com.au/api/v1/organisations/1") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"is_bid_broker\": true\n}") .asString(); ``` ```php request('PATCH', 'https://api.finput.com.au/api/v1/organisations/1', [ 'body' => '{ "is_bid_broker": true }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.finput.com.au/api/v1/organisations/1"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"is_bid_broker\": true\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["is_bid_broker": true] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.finput.com.au/api/v1/organisations/1")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```